### Constructor

# Dex Future any

#### Declaration [src]

    DexFuture*
    dex_future_any (
      DexFuture* first_future,
      ...
    )

#### Description [src]

Creates a new `DexFuture` that will resolve when any dependent future resolves, providing the same result as the resolved future.

If no futures resolve, then the future will reject.

This constructor is not directly available to language bindings.

The implementation of this constructor is provided by `()` in language bindings.

#### Parameters

`first_future`

  Type: `DexFuture`

  A `DexFuture`.

  The called function takes ownership of the data, and is responsible for freeing it.

`...`

  Type: ``

  A `NULL` terminated list of futures.

#### Return value

Type: `DexFuture`

A `DexFutureSet`.

The caller of the function takes ownership of the data, and is responsible for freeing it.